## forkexecd 0.9.2

=== Makefile ===
.PHONY: all clean install build
all: build doc

NAME=forkexec
J=4

BINDIR ?= /usr/bin
SBINDIR ?= /usr/sbin
ETCDIR ?= /etc
DESTDIR ?= /

export OCAMLRUNPARAM=b

setup.bin: setup.ml
	@ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	@rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	@./setup.bin -configure

build: setup.data setup.bin
	@./setup.bin -build -j $(J)

doc: setup.data setup.bin
	@./setup.bin -doc -j $(J)

install: setup.bin
	@./setup.bin -install
	mkdir -p $(DESTDIR)/$(ETCDIR)/init.d
	install ./src/init.d-fe $(DESTDIR)/$(ETCDIR)/init.d/fe
	install ./fe_main.native $(DESTDIR)/$(SBINDIR)/xcp-fe
	install ./fe_cli.native $(DESTDIR)/$(BINDIR)/xcp-fe-cli

test: setup.bin build
	@./setup.bin -test

reinstall: setup.bin
	@ocamlfind remove $(NAME) || true
	@./setup.bin -reinstall
	mkdir -p $(DESTDIR)/$(ETCDIR)/init.d
	install ./src/init.d-fe $(DESTDIR)/$(ETCDIR)/init.d/fe
	install ./fe_main.native $(DESTDIR)/$(SBINDIR)/xcp-fe
	install ./fe_cli.native $(DESTDIR)/$(BINDIR)/xcp-fe-cli

uninstall:
	@ocamlfind remove $(NAME) || true
	rm -f $(DESTDIR)/$(ETCDIR)/init.d/fe
	rm -f $(DESTDIR)/$(SBINDIR)/xcp-fe
	rm -f $(DESTDIR)/$(BINDIR)/xcp-fe-cli

clean:
	@ocamlbuild -clean
	@rm -f setup.data setup.log setup.bin

=== debian/changelog ===
forkexecd (0.9.2-1) UNRELEASED; urgency=low

  * Update to 0.9.2

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Fri, 06 Jun 2014 12:00:00 +0000

forkexecd (0.9.1-1) UNRELEASED; urgency=low

  * Update to 0.9.1

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 25 Sep 2013 12:00:00 +0000

=== debian/control ===
Source: forkexecd
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libxcp-idl-ocaml-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 libstdext-ocaml-dev,
 python,
 debhelper (>= 8),
 libuuidm-ocaml-dev,
 librpc-ocaml-dev,
 ocaml-findlib,
 ocaml-native-compilers,
 libfd-send-recv-ocaml-dev,
 libre-ocaml-dev

Package: forkexecd
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 lsb-base
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: A subprocess management service
 A service which starts and manages subprocesses, avoiding the need to
 manually fork() and exec() in a multithreaded program.

Package: forkexecd-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 forkexecd (>= 0.9.2-1),
 libfd-send-recv-ocaml-dev,
 librpc-ocaml-dev,
 libstdext-ocaml-dev,
 libuuidm-ocaml-dev,
 libxcp-idl-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for forkexecd
 The forkexecd-devel package contains libraries and signature files
 for developing applications that use forkexecd.
